# Send Microdeposits for verification

Send microdeposits in order to verify your US Bank Account so it is eligible to transfer funds. This will start the verification process and you must Confirm Microdeposits to successfully verify your US Bank Account.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/vault/us_bank_accounts/usba_test_61TTrNIGW0Kfu6Loe16TTnp50xSQQ5fFlwPErT7SSCmG/send_microdeposits \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "usba_test_61TTrNIGW0Kfu6Loe16TTnp50xSQQ5fFlwPErT7SSCmG",
  "object": "v2.core.vault.us_bank_account",
  "archived": false,
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "created": "2025-10-21T00:27:12.940Z",
  "fedwire_routing_number": null,
  "last4": "6789",
  "routing_number": "110000000",
  "supported_currencies": [
    "usd"
  ],
  "verification": {
    "microdeposit_verification_details": {
      "expires": "2025-11-02T15:34:05.000Z",
      "microdeposit_type": "amounts",
      "sent": "2025-10-23T15:34:05.708345413Z"
    },
    "status": "awaiting_verification"
  },
  "livemode": true
}
```

## Returns

Returns an [US Bank Account object](https://docs.stripe.com/api/v2/core/vault/us-bank-accounts/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | archived_us_bank_account | Returned in cases where the bank account cannot be updated due to being archived. |
| 400 | us_bank_account_microdeposits_cannot_be_sent | Returned when microdeposits cannot be sent to the US bank account in its current state. |
| 400 | us_bank_account_microdeposits_failed_to_send | Returned when an attempt is made to confirm microdeposits before the microdeposits have been sent. |
| 400 | us_bank_account_microdeposits_requires_routing_number | Returned when microdeposits cannot be sent because the US bank account does not have a routing number. |
| 400 | us_bank_account_verification_failed | Returned when verification of a US bank account has failed, reaching a terminal failure state. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
